# VoiceOverView

Class in [Yarn.Unity](/2.1/api/csharp/yarn.unity.md)

Inherits from [`DialogueViewBase`](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md)

## Summary

A subclass of [DialogueViewBase](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md) that plays voice-over `AudioClip` s for lines of dialogue.

```csharp
public class VoiceOverView : DialogueViewBase
```

## Remarks

This class plays audio clip assets that are provided by an [AudioLineProvider](/2.1/api/csharp/yarn.unity/yarn.unity.audiolineprovider.md) . To use a [VoiceOverView](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview.md) in your game, your [DialogueRunner](/2.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) must be configured to use an [AudioLineProvider](/2.1/api/csharp/yarn.unity/yarn.unity.audiolineprovider.md) , and your Yarn projects must be configured to use voice-over audio assets. For more information, see [Localization and Assets](/2.1/using-yarnspinner-with-unity/assets-and-localization.md) .

## Fields

| Name                                                                                                                                   | Description                                                                                                                                                                      |
| -------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [audioSource](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.audiosource.md)                             | The `AudioSource` that this voice over view will play its audio from.                                                                                                            |
| [fadeOutTimeOnLineFinish](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.fadeouttimeonlinefinish.md)     | The fade out time when [UserRequestedViewAdvancement()](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.userrequestedviewadvancement.md) is called. |
| [waitTimeAfterLineComplete](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.waittimeafterlinecomplete.md) | The amount of time after playback has completed before this view reports that it's finished delivering the line.                                                                 |
| [waitTimeBeforeLineStart](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.waittimebeforelinestart.md)     | The amount of time to wait before starting playback of the line.                                                                                                                 |

## Methods

| Name                                                                                                                                           | Description                                                                              |
| ---------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------- |
| [DismissLine(Action)](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.dismissline.md)                             | Ends any existing playback, and reports that the line has finished dismissing.           |
| [InterruptLine(LocalizedLine,Action)](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.interruptline.md)           | Interrupts the playback of the specified line, and quickly fades the playback to silent. |
| [RunLine(LocalizedLine,Action)](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.runline.md)                       | Begins playing the associated audio for the specified line.                              |
| [UserRequestedViewAdvancement()](/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.userrequestedviewadvancement.md) | Signals to this dialogue view that the user would like to skip playback.                 |

## See Also

* [DialogueViewBase](/2.1/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md): A `MonoBehaviour` that can present lines and options to the user, when it receives them from a [DialogueRunner](/2.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) .


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.1/api/csharp/yarn.unity/yarn.unity.voiceoverview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
